Katello - Bug #24081

The server appears to cause a yum update when an errata is apply is issued through katello-agent
06/26/2018 03:34 PM - Eric Helms

Status: Closed
Priority: Normal
Assignee:
Category:
Target version: Katello 3.7.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello-host-to
ols/pull/64
Description

Jun 27 17:52:32 localhost goferd: [INFO] [worker-0] gofer.messaging.adapter.connect:28 - connecting
protont+amgps://centos7-katello-bats-ci.woodford.example.com:5647

Jun 27 17:52:32 localhost goferd: [INFO] [worker-0] gofer.messaging.adapter.proton.connection:87 -

open: URL: amgps://centos7-katello-bats-ci.woodford.example.com:5647|SSL: ca: /etc/rhsm/ca/katello

—default-ca.pem|key: None|certificate: /etc/pki/consumer/bundle.pem|host-validation: None

Jun 27 17:52:32 localhost gdrouterd: 2018-06-27 17:52:32.283695 +0000 SERVER (info) Accepted conne

ction to 0.0.0.0:5647 from 192.168.121.198:47020

Jun 27 17:52:32 localhost goferd: [INFO] [worker—-0] gofer.messaging.adapter.proton.connection:92 -

opened: protontamgps://centos7-katello-bats-ci.woodford.example.com:5647

Jun 27 17:52:32 localhost goferd: [INFO] [worker-0] gofer.messaging.adapter.connect:30 - connected:
protont+amgps://centos7-katello-bats-ci.woodford.example.com:5647

Jun 27 17:52:32 localhost goferd: [INFO] [worker-0] gofer.rmi.dispatcher:577 - call: Content.instal

1() sn=64ba7b25-440f-4cde-al35-07bdb0b3baab data={'task_id': 'a01ld56c7-b9dd-409a-90dc-16c08e48d01c

', 'consumer_id': '9dd2c993-ab72-4e7e-a36a-0fe89f9%acade’'}

Jun 27 17:52:32 localhost env: Loaded plugins: enabled_repos_upload, fastestmirror, package_upload

, product-id,

Jun 27 17:52:32 localhost env: : search-disabled-repos, subscription-manager

Jun 27 17:52:34 localhost env: Loading mirror speeds from cached hostfile

Jun 27 17:52:37 localhost env: * base: ftp.osuosl.org

Jun 27 17:52:37 localhost env: * epel: archive.linux.duke.edu

Jun 27 17:52:37 localhost env: * extras: mirror.metrocast.net

Jun 27 17:52:37 localhost env: * updates: mirror.linux.duke.edu

Jun 27 17:52:40 localhost env: No Presto metadata available for base

Jun 27 17:52:40 localhost env: No Presto metadata available for Test_Organization_Test_Product_Zoo

Jun 27 17:52:41 localhost env: Delta RPMs reduced 5.5 M of updates to 2.9 M (47% saved)

Jun 27 17:52:41 localhost env: /usr/share/doc/dhcp-common-4.2.5/LICENSE: No such file or directory

Jun 27 17:52:41 localhost env: cannot reconstruct rpm from disk files

Jun 27 17:52:41 localhost env: /usr/share/doc/centos-release/Contributors: No such file or directo

ry

Jun 27 17:52:41 localhost env: cannot reconstruct rpm from disk files

Jun 27 17:52:41 localhost env: /usr/share/doc/e2fsprogs—-1.42.9/COPYING: No such file or directory

Jun 27 17:52:41 localhost env: cannot reconstruct rpm from disk files

Jun 27 17:52:41 localhost env: /usr/share/doc/dhclient-4.2.5/README.dhclient.d: No such file or di

rectory

Jun 27 17:52:41 localhost env: cannot reconstruct rpm from disk files

Jun 27 17:52:41 localhost env: /usr/share/doc/libcom_err-1.42.9/COPYING: No such file or directory

Jun 27 17:52:41 localhost env: cannot reconstruct rpm from disk files

Jun 27 17:52:41 localhost env: /usr/share/doc/libgcc-4.8.5/COPYING: No such file or directory

Jun 27 17:52:41 localhost env: cannot reconstruct rpm from disk files

Jun 27 17:52:41 localhost env: /usr/share/doc/e2fsprogs—-1libs-1.42.9/COPYING: No such file or direc

tory

Jun 27 17:52:41 localhost env: cannot reconstruct rpm from disk files

Jun 27 17:52:41 localhost env: /usr/share/doc/libgomp-4.8.5/Changelog.bz2: No such file or directo

ry

Jun 27 17:52:41 localhost env: cannot reconstruct rpm from disk files
Jun 27 17:52:42 localhost env: /usr/share/doc/iptables-1.4.21/COPYING: No such file or directory
Jun 27 17:52:42 localhost env: cannot reconstruct rpm from disk files

Jun 27 17:52:42 localhost env: /usr/share/doc/libss-1.42.9/COPYING: No such file or directory

Jun 27 17:52:42 localhost env: cannot reconstruct rpm from disk files

Jun 27 17:52:42 localhost env: /usr/share/doc/openldap—-2.4.44/ANNOUNCEMENT: No such file or direct
ory

Jun 27 17:52:42 localhost env: cannot reconstruct rpm from disk files

Jun 27 17:52:42 localhost env: /usr/share/doc/tzdata-2017c/README: No such file or directory

Jun 27 17:52:42 localhost env: cannot reconstruct rpm from disk files

Jun 27 17:52:42 localhost env: /usr/share/doc/rsyslog-8.24.0/ChangelLog: No such file or directory
Jun 27 17:52:42 localhost env: cannot reconstruct rpm from disk files

Jun 27 17:52:43 localhost env: /usr/share/doc/procps—-ng-3.3.10/AUTHORS: No such file or directory
Jun 27 17:52:43 localhost env: cannot reconstruct rpm from disk files

Jun 27 17:52:43 localhost env: /usr/share/locale/ca/LC_MESSAGES/NetworkManager.mo: No such file or
directory

Jun 27 17:52:43 localhost env: cannot reconstruct rpm from disk files

Jun 27 17:52:43 localhost env: cannot reconstruct rpm from disk files

Jun 27 17:52:48 localhost gdrouterd: 2018-06-27 17:52:48.343712 +0000 SERVER (info) Connection fro

m 192.168.121.198:47020 (to 0.0.0.0:5647) failed: amgp:resource-limit-exceeded local-idle-timeout

expired

Jun 27 17:52:58 localhost pulp_streamer: pulp.streamer.server:INFO: Trying URL: https://Jjlsherrill
.fedorapeople.org/fake-repos/needed-errata/walrus-5.21-1.noarch.rpm

Jun 27 17:52:58 localhost pulp_streamer: requests.packages.urllib3.connectionpool:INFO: Resetting

dropped connection: jlsherrill.fedorapeople.org

Jun 27 17:52:58 localhost pulp_streamer: nectar.downloaders.threaded:INFO: Download succeeded: htt

ps://jlsherrill.fedorapeople.org/fake-repos/needed-errata/walrus—-5.21-1.noarch.rpm.

Jun 27 17:52:58 localhost pulp_streamer: [-] 127.0.0.1 - - [27/Jun/2018:17:52:58 +0000] "GET /var/
lib/pulp/content/units/rpm/cf/a%b6ac796b5732019%a4e2bb68ce26e8703154289%be5635079dcfaac0373b/walru
s—5.21-1.noarch.rpm HTTP/1.1" 200 2445 "-" "urlgrabber/3.10 yum/3.4.3"

Jun 27 17:53:03 localhost env: Some delta RPMs failed to download or rebuild. Retrying..

Jun 27 17:53:05 localhost env: Running Transaction Check

Jun 27 17:53:10 localhost yum[24219]: Updated: libgcc-4.8.5-28.el7_5.1.x86_64

Jun 27 17:53:10 localhost yum[24219]: Updated: hyperv-daemons-license-0-0.32.20161211git.el7.noarc
h

Jun 27 17:53:10 localhost env: Updating: libgcc-4.8.5-28.el17_5.1.x86_64 0/180660 [1/258]

Jun 27 17:53:10 localhost env: Updating: libgcc-4.8.5-28.el17_5.1.x86_64 65684/180660 [1/258]
Jun 27 17:53:10 localhost env: Updating: libgcc-4.8.5-28.el17_5.1.x86_64 88924/180660 [1/258]
Jun 27 17:53:10 localhost env: Updating: libgcc-4.8.5-28.el17_5.1.x86_64 89084/180660 [1/258]
Jun 27 17:53:10 localhost env: Updating: libgcc-4.8.5-28.el17_5.1.x86_64 89224/180660 [1/258]
Jun 27 17:53:10 localhost env: Updating: libgcc-4.8.5-28.el17_5.1.x86_64 107374/180660 [1/258]
Jun 27 17:53:10 localhost env: Updating: libgcc-4.8.5-28.el7_5.1.x86_64 133968/180660 [1/258]
Jun 27 17:53:10 localhost env: Updating: libgcc-4.8.5-28.el7_5.1.x86_64 137448/180660 [1/258]
Jun 27 17:53:10 localhost env: Updating: libgcc-4.8.5-28.el7_5.1.x86_64 172743/180660 [1/258]
Jun 27 17:53:10 localhost env: Updating: libgcc-4.8.5-28.el17_5.1.x86_64 180535/180660 [1/258]

Jun 27 17:53:10 localhost env: Updating: libgcc-4.8.5-28.el17_5.1.x86_64 180660/180660 [1/258]

Jun 27 17:53:10 localhost env: Updating: hyperv-daemons-license-0-0.32.20161211git.el7.noarch 0/19
132 [2/258]

Jun 27 17:53:10 localhost env: Updating: hyperv-daemons-license-0-0.32.20161211git.el7.noarch 152/
19132 [2/258]

Jun 27 17:53:10 localhost env: Updating: hyperv-daemons-license-0-0.32.20161211git.el7.noarch 1900
5/19132 [2/258]

Jun 27 17:53:10 localhost env: Updating: hyperv-daemons-license-0-0.32.20161211git.el7.nocarch 1913
2/19132 [2/258]

Jun 27 17:53:10 localhost env: Updating: tzdata-2018e-3.el7.nocarch 0/2248800 [3/258]

Jun 27 17:53:10 localhost env: Updating: tzdata-2018e-3.el7.nocarch 140/2248800 [3/258]

Jun 27 17:53:10 localhost env: Updating: tzdata-2018e-3.el7.nocarch 2628/2248800 [3/258]

Jun 27 17:53:10 localhost env: Updating: tzdata-2018e-3.el7.nocarch 55996/2248800 [3/258]

Jun 27 17:53:10 localhost env: Updating: tzdata—-2018e-3.el7.nocarch 82449/2248800 [3/258]

Jun 27 17:53:10 localhost env: Updating: tzdata-2018e-3.el7.noarch 131558/2248800 [3/258]

Jun 27 17:53:10 localhost env: Updating: tzdata-2018e-3.el7.nocarch 131692/2248800 [3/258]

Jun 27 17:53:10 localhost env: Updating: tzdata-2018e-3.el7.nocarch 131832/2248800 [3/258]

Jun 27 17:53:10 localhost env: Updating: tzdata-2018e-3.el7.noarch 132804/2248800 [3/258]

Jun 27 17:53:10 localhost env: Updating: tzdata-2018e-3.el7.noarch 133686/2248800 [3/258]

Jun 27 17:53:10 localhost env: Updating: tzdata-2018e-3.el7.noarch 134030/2248800 [3/258]

Jun 27 17:53:10 localhost env: Updating: tzdata-2018e-3.el7.noarch 135799/2248800 [3/258]

Jun 27 17:53:10 localhost env: Updating: tzdata-2018e-3.el7.noarch 137977/2248800 [3/258]

Jun 27 17:53:10 localhost env: Updating: tzdata-2018e-3.el7.noarch 139573/2248800 [3/258]
Jun 27 17:53:10 localhost env: Updating: tzdata-2018e-3.el7.noarch 140389/2248800 [3/258]
Jun 27 17:53:10 localhost env: Updating: tzdata-2018e-3.el7.noarch 141239/2248800 [3/258]
Jun 27 17:53:10 localhost env: Updating: tzdata-2018e-3.el7.noarch 141595/2248800 [3/258]
Jun 27 17:53:10 localhost env: Updating: tzdata-2018e-3.el7.nocarch 141955/2248800 [3/258]
Jun 27 17:53:10 localhost env: Updating: tzdata-2018e-3.el7.noarch 142316/2248800 [3/258]

Associated revisions

Revision 414f5ede - 06/28/2018 06:06 PM - Jeff Ortel

fixes #24081 - Fix errata install of extra packages.

History

#1 - 06/27/2018 05:45 PM - Andrew Kofink

- translation missing: en.field_release set to 338

#2 - 06/27/2018 06:13 PM - Eric Helms

- Subject changed from The server appears to cause a yum update when a package install is issued through katello-agent to The server appears to
cause a yum update when an errata is apply is issued through katello-agent

#3 - 06/27/2018 06:16 PM - Eric Helms
- Description updated

#4 - 06/27/2018 06:30 PM - Eric Helms
Additional output with debug logging:

Jun 27 18:28:42 centos7-katello-bats-ci goferd: [DEBUG] [pulp.agent.9dd2c993-ab72-4e7e-a36a-0£fe89f%aca%%e] gofer
.messaging.adapter.model:653 - read next: {'replyto': 'pulp.task', 'request': {'classname': 'Content', 'kws':
{}, 'args': [[{'unit_key': {'id': 'RHEA-2012:0055"'}, 'type_id': 'erratum'}], {'importkeys': True}], 'cntr': [[
1, {}], 'method': 'install'}, 'secret': '5b338blcccdccf38c210419f', 'version': '2.0', 'routing': [None, 'pulp.
agent.9dd2c993-ab72-4e7e-a36a-0fe89f9%aca%e"'], 'data': {'task_id': '8ac06a31-7614-43d1-9c13-e9c0e32£97c0', 'con
sumer_id': '9dd2c993-ab72-4e7e-a36a-0fe89f9%aca%e'}, 'pam': None, 'sn': '7d19e54d-7482-4be3-8alb-757c5c2ebbbd"'}
Jun 27 18:28:42 centos7-katello-bats-ci goferd: [DEBUG] [pulp.agent.9dd2c993-ab72-4e7e-a36a-0£fe89f%aca%e] gofer
.messaging.consumer:102 - {pulp.agent.9dd2c993-ab72-4e7e-a36a-0fe89f9%aca%e} read: {'replyto': 'pulp.task',6 're
quest': {'classname': 'Content', 'kws': {}, 'args': [[{'unit_key': {'id': 'RHEA-2012:0055'}, 'type_id': 'errat
um'}], {'importkeys': True}l, 'cntr': [[], {}], 'method': 'install'}, 'secret': '5b338blcccdccf38c210419f', 'v
ersion': '2.0', 'routing': [None, 'pulp.agent.9dd2c993-ab72-4e7e-a36a-0fe89f%aca%e'], 'data': {'task_id': '8ac
06a31-7614-43d1-9¢c13-e9c0e32£97c0', 'consumer_id': '9dd2c993-ab72-4e7e-a36a-0fe89f9%aca%e'}, 'pam': None, 'sn':
'7d19e54d-7482-4be3-8alb-757c5c2ebbbd’ }
Jun 27 18:28:42 centos7-katello-bats-ci pulp: gofer.messaging.adapter.gpid.connection:INFO: closed: gpid+ssl:/
/localhost:5671
Jun 27 18:28:42 centos7-katello-bats-ci goferd: [DEBUG] [pulp.agent.9dd2c993-ab72-4e7e-a36a-0£fe89f%aca%%e] gofer
.messaging.adapter.proton.producer:103 - sent (pulp.task)
Jun 27 18:28:42 centos7-katello-bats-ci goferd: [DEBUG] [pulp.agent.9dd2c993-ab72-4e7e-a36a-0fe89f9%aca%e] gofer

.rmi.store:54 - wrote [/var/lib/gofer/messaging/pending/katello/1530124122-950189-0000.json]: {"data": {"consu

mer_id": "9dd2c993-ab72-4e7e-a36a-0fe89f9%aca%e", "task_id": "8ac06a31-7614-43d1-9c13-e9c0e32£97c0"}, "pam": nu

11, "replyto": "pulp.task", "request": {"args": [[{"type_id": "erratum", "unit_key": "id": "RHEA-2012:0055"}}

1, {"importkeys": true}], "classname": "Content", "cntr": [[], {}], "kws": {}, "method": "install"}, "routing"
[null, "pulp.agent.9dd2c993-ab72-4e7e-a36a-0£fe89f%acaf%e"], "secret": "5b338blcccdccf38c210419f", "sn": "7d19

e54d-7482-4be3-8alb-757c5c2eb5bd", "version": "2.0"}

Jun 27 18:28:43 centos7-katello-bats-ci goferd: [INFO] [worker-0] gofer.messaging.adapter.connect:28 - connecti

ng: proton+amgps://centos7-katello-bats—-ci.woodford.example.com:5647

Jun 27 18:28:43 centos7-katello-bats-ci goferd: [INFO][worker-0] gofer.messaging.adapter.proton.connection:87
- open: URL: amgps://centos7-katello-bats-ci.woodford.example.com:5647|SSL: ca: /etc/rhsm/ca/katello-default-c
a.pem|key: None|certificate: /etc/pki/consumer/bundle.pem|host-validation: None

Jun 27 18:28:43 centos7-katello-bats-ci goferd: [DEBUG] [worker-0] proton:557 - connecting to Url (amgps://cento
s7-katello-bats-ci.woodford.example.com/None) ...

Jun 27 18:28:43 centos7-katello-bats-ci gdrouterd: 2018-06-27 18:28:43.978335 +0000 SERVER (info) Accepted con
nection to 0.0.0.0:5647 from 192.168.121.198:50108

Jun 27 18:28:44 centos7-katello-bats-ci goferd: [INFO] [worker-0] gofer.messaging.adapter.proton.connection:92
— opened: proton+amgps://centos7-katello-bats—-ci.woodford.example.com:5647

Jun 27 18:28:44 centos7-katello-bats-ci goferd: [INFO][worker-0] gofer.messaging.adapter.connect:30 - connecte
d: proton+amgps://centos7-katello-bats-ci.woodford.example.com:5647

Jun 27 18:28:44 centos7-katello-bats-ci goferd: [DEBUG] [worker-0] proton:588 - connected to centos7-katello-ba
ts—ci.woodford.example.com

Jun 27 18:28:44 centos7-katello-bats-ci goferd: [DEBUG] [worker-0] gofer.messaging.adapter.proton.producer:103
- sent (pulp.task)

Jun 27 18:28:44 centos7-katello-bats-ci goferd: [INFO][worker-0] gofer.rmi.dispatcher:577 - call: Content.inst
all() sn=7d19e54d-7482-4be3-8alb-757c5c2eb5bd data={'task_id': '8ac06a31-7614-43d1-9c13-e9c0e32f97c0"', 'consum
er_id': '9dd2c993-ab72-4e7e-a36a-0fe89f%acade'}
Jun 27 18:28:44 centos7-katello-bats-ci goferd: [DEBUG] [worker-0] gofer.rmi.dispatcher:608 - request: {'classn

ame': 'Content', 'kws': {}, 'args': [[{'unit_key': {'id': 'RHEA-2012:0055"'}, 'type_id': 'erratum'}], {'importk
eys': True}], 'cntr': [[], {}], 'method': 'install'}
Jun 27 18:28:44 centos7-katello-bats-ci goferd: [DEBUG] [worker-0] gofer.rmi.dispatcher:610 - method: {'classna
me': 'Content', 'kws': {}, 'args': [[{'unit_key': {'id': 'RHEA-2012:0055"}, 'type_id': 'erratum'}], {'importke
ys': True}l, 'cntr': [[], {}], 'method': 'install'}

Jun 27 18:28:44 centos7-katello-bats-ci env: Loaded plugins: enabled_repos_upload, fastestmirror, package_uplo
ad, product-id,

Jun 27 18:28:44 centos7-katello-bats-ci env: : search-disabled-repos, subscription-manager

Jun 27 18:28:44 centos7-katello-bats-ci env: Loading mirror speeds from cached hostfile

Jun 27 18:28:44 centos7-katello-bats-ci env: * base: mirror.siena.edu

Jun 27 18:28:44 centos7-katello-bats-ci env: * epel: archive.linux.duke.edu

Jun 27 18:28:44 centos7-katello-bats-ci env: * extras: mirror.trouble-free.net

Jun 27 18:28:44 centos7-katello-bats-ci env: * updates: centos2.zswap.net

Jun 27 18:28:45 centos7-katello-bats-ci goferd: [DEBUG] [parent-monitor] /usr/lib/python2.7/site-packages/gofer

/rmi/model/protocol.pyo:87 — Sent: Ping:{'code': 'PING', 'payload': 10317}
Jun 27 18:28:45 centos7-katello-bats-ci goferd: [DEBUG] [worker—0] /usr/lib/python2.7/site-packages/gofer/rmi/m
odel/protocol.pyo:75 - Received: Ping:{'code': 'PING', 'payload': 10317}

Jun 27 18:28:45 centos7-katello-bats-ci goferd: [DEBUG] [worker-0] /usr/lib/python2.7/site-packages/gofer/rmi/m
odel/parent.pyo:186 — pinged by 10317

Jun 27 18:28:46 centos7-katello-bats-ci goferd: [DEBUG] [worker-0] /usr/lib/python2.7/site-packages/gofer/rmi/m
odel/protocol.pyo:75 — Received: Ping:{'code': 'PING', 'payload': 10317}

Jun 27 18:28:46 centos7-katello-bats-ci goferd: [DEBUG] [worker—0] /usr/lib/python2.7/site-packages/gofer/rmi/m
odel/parent.pyo:186 - pinged by 10317

Jun 27 18:28:46 centos7-katello-bats-ci goferd: [DEBUG] [parent-monitor] /usr/lib/python2.7/site-packages/gofer
/rmi/model/protocol.pyo:87 - Sent: Ping:{'code': 'PING', 'payload': 10317}

Jun 27 18:28:46 centos7-katello-bats-ci env: No Presto metadata available for puppetlabs-pcl

Jun 27 18:28:46 centos7-katello-bats-ci env: No Presto metadata available for Test_Organization_Test_Product_2Z
fele}

Jun 27 18:28:47 centos7-katello-bats-ci goferd: [DEBUG] [parent-monitor] /usr/lib/python2.7/site-packages/gofer

/rmi/model/protocol.pyo:87 — Sent: Ping:{'code': 'PING', 'payload': 10317}
Jun 27 18:28:47 centos7-katello-bats-ci goferd: [DEBUG] [worker—0] /usr/lib/python2.7/site-packages/gofer/rmi/m
odel/protocol.pyo:75 - Received: Ping:{'code': 'PING', 'payload': 10317}

Jun 27 18:28:47 centos7-katello-bats-ci goferd: [DEBUG] [worker-0] /usr/lib/python2.7/site-packages/gofer/rmi/m
odel/parent.pyo:186 — pinged by 10317
Jun 27 18:28:47 centos7-katello-bats-ci env: Running Transaction Check

#5 - 06/27/2018 08:41 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello-host-tools/pull/64 added

#6 - 06/28/2018 07:01 PM - Jeff Ortel
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello-host-tools|414f5edebbad043180fd4e4a01a950fbdb149557.
